#include <bits/stdc++.h>
using namespace std;

typedef long long ll;

int a[1000001][1000001];

int main(){
    ios::sync_with_stdio(false);
    cin.tie(0);

     int n,m;
     cin >> n >> m;
     ll a[n][m];

     for (int i = 0; i < n; i++){
         for (int j = 0; j < m; j++){
             cin >> a[i][j];

         }
     }


    return 0;
}